0

I recently upgraded PHP from 7.2 to 7.3 on my Centos and Apache server by using cPanel/WHM. I'd updated the System PHP version to 7.3 but the domain is still stuck at 7.2. When I attempt to upgrade the domain's version (or set to inherit) I'm given an error.

Error: (XID vq7kma) 1 error occurred: Error #1: The system failed to apply the “PHP” version to “mydomain.com”: Cpanel::Exception::IO::ChownError/(XID ybmdsv) The system failed to set the user ID to “1000” and the group ID to “99” on “GLOB(0x310d010)” because of an error: Operation not permitted at /usr/local/cpanel/Cpanel/FileUtils/Access.pm line 78.

Cpanel::FileUtils::Access::ensure_mode_and_owner(GLOB(0x310d010), 420, 1000, 99) called at /usr/local/cpanel/Cpanel/Transaction/File/Base.pm line 202 

Cpanel::Transaction::File::Base::_set_permissions(GLOB(0x310d010), 420, ARRAY(0x30de3f0), 416) called at /usr/local/cpanel/Cpanel/Transaction/File/Base.pm line 417 

Cpanel::Transaction::File::Base::__ANON__(GLOB(0x310d010), __CPANEL_HIDDEN__..., 416) called at /usr/local/cpanel/Cpanel/SafeFile/Replace.pm line 94 

Cpanel::SafeFile::Replace::locked_atomic_replace_contents(GLOB(0x3088878), Cpanel::SafeFileLock=ARRAY(0x310d358), CODE(0x3088ba8)) called at /usr/local/cpanel/Cpanel/Transaction/File/Base.pm line 430 

Cpanel::Transaction::File::Base::_save_or_die(Cpanel::Transaction::File::Raw=HASH(0x3088890), "offset", 0, "write_cr", CODE(0x2f547b0)) called at /usr/local/cpanel/Cpanel/Transaction/File/Raw.pm line 76 Cpanel::Transaction::File::Raw::save_or_die(Cpanel::Transaction::File::Raw=HASH(0x3088890)) called at /usr/local/cpanel/Cpanel/Transaction/File/Base.pm line 272 eval {...} called at /usr/local/cpanel/Cpanel/Transaction/File/Base.pm line 272 

Cpanel::Transaction::File::Base::save_and_close_or_die(Cpanel::Transaction::File::Raw=HASH(0x3088890)) called at /usr/local/cpanel/Cpanel/WebServer/Supported/apache/Htaccess.pm line 204 

Cpanel::WebServer::Supported::apache::Htaccess::_internal_set_handler(Cpanel::WebServer::Supported::apache::Htaccess=HASH(0x2fb8210), "lang", Cpanel::ProgLang::Supported::php=HASH(0x2e2c8d8), "handler", Cpanel::WebServer::Supported::apache::Handler::cgi=HASH(0x2e563c0), "vhost", "mydomain.com", "userdata", ...) called at /usr/local/cpanel/Cpanel/WebServer/Supported/apache/Htaccess.pm line 212 

Cpanel::WebServer::Supported::apache::Htaccess::__ANON__() called at /usr/local/cpanel/Cpanel/AccessIds/ReducedPrivileges.pm line 96 eval {...} called at /usr/local/cpanel/Cpanel/AccessIds/ReducedPrivileges.pm line 96

I've tried both WHM and cPanel to make the upgrade to no success. Does anyone know how to correct the issue? The errors hint at permissions but that's all I can glean from it.

Thanks!

2
  • Have you contacted your hosting tech support? It is showing a CHOWN error so it looks like an ownership issue.
    – Steve
    May 8, 2021 at 21:51
  • I did contact them but it's an unmanaged account and they seem a bit hands off. I think I'll push on them a little more to see if they can help. Thanks! May 9, 2021 at 17:59

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.